<div class="input-options-panel" ...attributes {{did-insert this.checkDefaultValues}} {{did-update this.updateConfig @config}} {{did-update this.updateValue @value}}>
  {{#each this.config as |field|}}
    {{#if field.options}}
      <Label @value={{t field.class}} as |id|>
        <Input::Select class="{{field.class}}" id={{id}} @list={{field.options}} @value={{field.value}} @onChange={{fn this.change field.name field.type}} />
      </Label>
    {{else if (eq field.type "bool")}}
      <Label @value={{t field.class}} as |id|>
        <Input::SelectBoolean class="{{field.class}}" id={{id}} @value={{field.value}} @onChange={{fn this.change field.name field.type}} />
      </Label>
    {{else if field.type}}
      <Label @value={{t field.class}} as |id|>
        <Input::Text class="form-control {{field.class}}" id={{id}} @value={{field.value}} @type={{field.type}} @onChange={{fn this.change field.name field.type}} />
      </Label>
    {{/if}}
  {{/each}}
</div>